from odoo import models, fields


class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'

    pos_face_rec_server_url = fields.Char(
        string="AI Face Recognition Server URL",
        related='pos_config_id.pos_face_rec_server_url',
        readonly=False,
        help="URL of the AI Face Recognition Server (e.g., http://localhost:5000)"
    )
